Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class BinderHelper

    java.lang.Object
      org.hibernate.cfg.BinderHelper

    public class BinderHelper

extends Object

Author:
  Emmanuel Bernard

Field Summary
`static String` | `ANNOTATION_STRING_DEFAULT`
`static Set<String>` | `PRIMITIVE_NAMES`

Method Summary
`static void` | `bindAnyMetaDefs(org.hibernate.annotations.common.reflection.XAnnotatedElement annotatedElement, ExtendedMappings mappings)`
`static org.hibernate.mapping.Any` | `buildAnyValue(String anyMetaDefName, Ejb3JoinColumn[] columns, javax.persistence.Column metaColumn, PropertyData inferredData, boolean cascadeOnDelete, Nullability nullability, PropertyHolder propertyHolder, EntityBinder entityBinder, boolean optional, ExtendedMappings mappings)`
`static void` | `createSyntheticPropertyReference(Ejb3JoinColumn[] columns, org.hibernate.mapping.PersistentClass ownerEntity, org.hibernate.mapping.PersistentClass associatedEntity, org.hibernate.mapping.Value value, boolean inverse, ExtendedMappings mappings)`
`static Object` | `findColumnOwner(org.hibernate.mapping.PersistentClass persistentClass, String columnName, ExtendedMappings mappings)` Find the column owner (ie PersistentClass or Join) of columnName.
`static org.hibernate.mapping.Property` | `findPropertyByName(org.hibernate.mapping.PersistentClass associatedClass, String propertyName)` Retrieve the property by path in a recursive way, including IndetifierProperty in the loop If propertyName is null or empty, the IdentifierProperty is returned
`static String` | `getRelativePath(PropertyHolder propertyHolder, String propertyName)`
`static boolean` | `isDefault(String annotationString)`
`static void` | `makeIdGenerator(org.hibernate.mapping.SimpleValue id, String generatorType, String generatorName, ExtendedMappings mappings, Map<String,IdGenerator> localGenerators)` apply an id generator to a SimpleValue
`static org.hibernate.mapping.Property` | `shallowCopy(org.hibernate.mapping.Property property)` create a property copy reusing the same value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATION_STRING_DEFAULT

    public static final String ANNOTATION_STRING_DEFAULT

See Also:
  Constant Field Values

### PRIMITIVE_NAMES

    public static final Set<String> PRIMITIVE_NAMES

Method Detail

### shallowCopy

    public static org.hibernate.mapping.Property shallowCopy(org.hibernate.mapping.Property property)

  create a property copy reusing the same value

### createSyntheticPropertyReference

    public static void createSyntheticPropertyReference(Ejb3JoinColumn[] columns,
                                                        org.hibernate.mapping.PersistentClass ownerEntity,
                                                        org.hibernate.mapping.PersistentClass associatedEntity,
                                                        org.hibernate.mapping.Value value,
                                                        boolean inverse,
                                                        ExtendedMappings mappings)

### findPropertyByName

    public static org.hibernate.mapping.Property findPropertyByName(org.hibernate.mapping.PersistentClass associatedClass,
                                                                    String propertyName)

  Retrieve the property by path in a recursive way, including IndetifierProperty in the loop If propertyName is null or empty, the IdentifierProperty is returned

### getRelativePath

    public static String getRelativePath(PropertyHolder propertyHolder,
                                         String propertyName)

### findColumnOwner

    public static Object findColumnOwner(org.hibernate.mapping.PersistentClass persistentClass,
                                         String columnName,
                                         ExtendedMappings mappings)

  Find the column owner (ie PersistentClass or Join) of columnName. If columnName is null or empty, persistentClass is returned

### makeIdGenerator

    public static void makeIdGenerator(org.hibernate.mapping.SimpleValue id,
                                       String generatorType,
                                       String generatorName,
                                       ExtendedMappings mappings,
                                       Map<String,IdGenerator> localGenerators)

  apply an id generator to a SimpleValue

### isDefault

    public static boolean isDefault(String annotationString)

### buildAnyValue

    public static org.hibernate.mapping.Any buildAnyValue(String anyMetaDefName,
                                                          Ejb3JoinColumn[] columns,
                                                          javax.persistence.Column metaColumn,
                                                          PropertyData inferredData,
                                                          boolean cascadeOnDelete,
                                                          Nullability nullability,
                                                          PropertyHolder propertyHolder,
                                                          EntityBinder entityBinder,
                                                          boolean optional,
                                                          ExtendedMappings mappings)

### bindAnyMetaDefs

    public static void bindAnyMetaDefs(org.hibernate.annotations.common.reflection.XAnnotatedElement annotatedElement,
                                       ExtendedMappings mappings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD